Module | ActiveRecord::Acts::List::InstanceMethods
In: | lib/active_record/acts/list.rb

All the methods available to a record that has had `acts_as_list` specified. Each method works by assuming the object to be the item in the list, so `chapter.move_lower` would move that chapter lower in the list of all chapters. Likewise, `chapter.first?` would return true if that chapter is the first in the list of all chapters.

### Methods

decrement_position first? higher_item in_list? increment_position insert_at last? lower_item move_higher move_lower move_to_bottom move_to_top remove_from_list

### Public Instance methods

decrement_position()
first?()
higher_item()
in_list?()
increment_position()
insert_at(position = 1)
last?()
lower_item()
move_higher()
move_lower()
move_to_bottom()
move_to_top()
remove_from_list()

[Validate]